hbase-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Guanghao Zhang <zghao...@gmail.com>
Subject Re: NOTICE: hbase-2.2.1, 2.1.6 and 2.0.6 have a bug may cause data loss
Date Thu, 19 Sep 2019 03:11:06 GMT
>
> Either we call merge manually, or the region normalizer is enabled?

Got it. I found this because I use hbck2 to fixMeta overlap many times.
fixMeta overlap will call merge manually.

张铎(Duo Zhang) <palomino219@gmail.com> 于2019年9月19日周四 上午11:04写道:

> I do not think we will merge regions automatically? Either we call merge
> manually, or the region normalizer is enabled? And the way to produce the
> bug is a bit complicated, need multiple round of mergings.
>
> So agree that we should roll new releases soon, but the actual damage
> should be fine.
>
> Guanghao Zhang <zghaobac@gmail.com> 于2019年9月19日周四 上午8:55写道:
>
> > Only 2.2.1, 2.1.6 and 2.0.6 are effected. Earlier releases are fine.
> Please
> > avoid downloading these releases. If you already running these versions
> in
> > your cluster, please use splitormerge_switch to disable region merge
> > now. See HBASE-23044 for more details.
> >
> > Need to rolling new release for branch-2.1 and branch-2.2 line. Ping
> @stack
> > for branch-2.0, do we need a more release 2.0.7?
> >
> > Thanks
> > Guanghao Zhang
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message